Quassel IRC - Bug #1349

Quassel crashes when clicking a link, Qt issue more than Quassel.
05/01/2015 07:34 PM - MichaelTunnell

Status: Resolved Start date: 05/01/2015
Priority: High Due date:

Assignee: % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

Version: 0.11-pre 0S: Linux
Description

Quassel Version:
0.12.x

I am just reporting this so people know that this is a known issue and will be addressed in a new release of Qt. It appears that Qt has
a bug that when using link previews in Quassel causes Quassel to crash.

Temporary Workaround:
Turn off link previews, links will still be clickable of course but the previews will no longer popup.

Permanent Fix:
It appears that this bug is in Qt itself but will be fixed in Qt 5.4.2 . . . at that time the previews could be turned back on.

History

#1 - 06/03/2015 06:30 PM - MichaelTunnell

| just updated to Qt 5.4.2 but the bug is still not fixed in Quassel, it still crashes the entire application when clicking links.
#2 - 06/03/2015 06:32 PM - MichaelTunnell
Actually, not it seems that | had to reboot Quassel to use the new version of Qt and now that | have ti seems to be fixed. | will do some more testing to

confirm.

#3 - 06/14/2021 06:10 AM - phuzion

- Status changed from New to Resolved

Seems like this has been fixed, I'm unable to reproduce this bug on Fedora 34 or Windows 10 20H2, running Quassel 0.13.1.

If you continue to see this bug, please reopen this issue.
